Package org.springframework.security.config.http

# Class HttpSecurityBeanDefinitionParser.ChildAuthenticationManagerFactoryBean

java.lang.Object
org.springframework.security.config.http.HttpSecurityBeanDefinitionParser.ChildAuthenticationManagerFactoryBean

All Implemented Interfaces:
  `org.springframework.beans.factory.FactoryBean<org.springframework.security.authentication.AuthenticationManager>`

Enclosing class:
  HttpSecurityBeanDefinitionParser

public static final class HttpSecurityBeanDefinitionParser.ChildAuthenticationManagerFactoryBean extends Object implements org.springframework.beans.factory.FactoryBean<org.springframework.security.authentication.AuthenticationManager>

## Field Summary

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`ChildAuthenticationManagerFactoryBean(List<org.springframework.security.authentication.AuthenticationProvider> providers, org.springframework.security.authentication.AuthenticationManager parent)`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.authentication.AuthenticationManager`
`getObject()`
`Class<?>`
`getObjectType()`
`void`
`setAuthenticationEventPublisher(org.springframework.security.authentication.AuthenticationEventPublisher authenticationEventPublisher)`
`void`
`setEraseCredentialsAfterAuthentication(boolean eraseCredentialsAfterAuthentication)`
`void`
`setObservationRegistry(io.micrometer.observation.ObservationRegistry observationRegistry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.beans.factory.FactoryBean

`isSingleton`

## Constructor Details

### ChildAuthenticationManagerFactoryBean

public ChildAuthenticationManagerFactoryBean(List<org.springframework.security.authentication.AuthenticationProvider> providers, org.springframework.security.authentication.AuthenticationManager parent)

## Method Details

### getObject

public org.springframework.security.authentication.AuthenticationManager getObject() throws Exception

Specified by:
  `getObject` in interface `org.springframework.beans.factory.FactoryBean<org.springframework.security.authentication.AuthenticationManager>`
Throws:
  `Exception`

### getObjectType

public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<org.springframework.security.authentication.AuthenticationManager>`

### setEraseCredentialsAfterAuthentication

public void setEraseCredentialsAfterAuthentication(boolean eraseCredentialsAfterAuthentication)

### setAuthenticationEventPublisher

public void setAuthenticationEventPublisher(org.springframework.security.authentication.AuthenticationEventPublisher authenticationEventPublisher)

### setObservationRegistry

public void setObservationRegistry(io.micrometer.observation.ObservationRegistry observationRegistry)